Name:           perl-STD
Version:        32116
Release:        9%{?dist}
Summary:        The Standard Perl 6 Grammar
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/STD/
Source0:        http://www.cpan.org/authors/id/S/SO/SOREAR/STD-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 4:5.10
BuildRequires:  perl(File::ShareDir) >= 1.02
BuildRequires:  perl(Module::Build) >= 0.37
BuildRequires:  perl(Moose)
BuildRequires:  perl(YAML::XS)
Requires:       perl(File::ShareDir) >= 1.02
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(STD) = %{version}

# Remove unversioned Requires
%filter_from_requires /perl(File::ShareDir)$/d
# Remove private packages 
%filter_from_requires /^perl(mangle.pl)$/d
%filter_from_requires /^perl(STD_P5)$/d
%filter_from_requires /^perl(STD_P6)$/d
%filter_from_requires /^perl(RE_ast)$/d
%filter_from_requires /^perl(STD::Cursor)$/d
%filter_setup

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(mangle.pl|STD_P5|STD_P6|RE_ast|STD::Cursor|File::ShareDir\\)$

%description
%{summary}.

%prep
%setup -q -n STD-%{version}

%build
%{__perl} Build.PL installdirs=core
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%defattr(-,root,root,-)
%doc LICENSE
%{perl_privlib}/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 32116-7
- Perl 5.16 rebuild

* Thu May 31 2012 Petr Pisar <ppisar@redhat.com> - 32116-6
- Round Module::Build version to 2 digits

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Marcela Mašláňová <mmaslano@redhat.com> - 32116-4
- add new filter

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 32116-3
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 22 2010 Petr Pisar <ppisar@redhat.com> 32116-1
- Specfile autogenerated by cpanspec 1.78.
- Remove pre-F12 spec statements (BuildRoot etc.)
- Filter private packages mangle.pl, STD_P5, STD_P6, RE_ast, STD::Cursor out of
  Requires
- Provide versioned perl(STD)
